summaryrefslogtreecommitdiffstats
path: root/modules.d/91crypt-gpg
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/91crypt-gpg')
-rwxr-xr-xmodules.d/91crypt-gpg/crypt-gpg-lib.sh2
-rwxr-xr-xmodules.d/91crypt-gpg/module-setup.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/modules.d/91crypt-gpg/crypt-gpg-lib.sh b/modules.d/91crypt-gpg/crypt-gpg-lib.sh
index 538419f..59fb4d3 100755
--- a/modules.d/91crypt-gpg/crypt-gpg-lib.sh
+++ b/modules.d/91crypt-gpg/crypt-gpg-lib.sh
@@ -41,13 +41,13 @@ gpg_decrypt() {
echo "allow-loopback-pinentry" >> "$gpghome/gpg-agent.conf"
GNUPGHOME="$gpghome" gpg-agent --quiet --daemon
GNUPGHOME="$gpghome" gpg --quiet --no-tty --import < /root/crypt-public-key.gpg
+ GNUPGHOME="$gpghome" gpg-connect-agent 1> /dev/null learn /bye
local smartcardSerialNumber
smartcardSerialNumber="$(GNUPGHOME=$gpghome gpg --no-tty --card-status \
| sed -n -r -e 's|Serial number.*: ([0-9]*)|\1|p' | tr -d '\n')"
if [ -n "${smartcardSerialNumber}" ]; then
inputPrompt="PIN (OpenPGP card ${smartcardSerialNumber})"
fi
- GNUPGHOME="$gpghome" gpg-connect-agent 1> /dev/null learn /bye
opts="$opts --pinentry-mode=loopback"
cmd="GNUPGHOME=$gpghome gpg --card-status --no-tty > /dev/null 2>&1; gpg $opts --decrypt $mntp/$keypath"
else
diff --git a/modules.d/91crypt-gpg/module-setup.sh b/modules.d/91crypt-gpg/module-setup.sh
index 501869a..523cfce 100755
--- a/modules.d/91crypt-gpg/module-setup.sh
+++ b/modules.d/91crypt-gpg/module-setup.sh
@@ -3,7 +3,7 @@
# GPG support is optional
# called by dracut
check() {
- require_binaries gpg tr || return 1
+ require_binaries gpg tr stty || return 1
if sc_requested; then
if ! sc_supported; then
@@ -23,7 +23,7 @@ depends() {
# called by dracut
install() {
- inst_multiple gpg tr
+ inst_multiple gpg tr stty
inst "$moddir/crypt-gpg-lib.sh" "/lib/dracut-crypt-gpg-lib.sh"
if sc_requested; then